Subject: Re: [PATCH] send-email: Fix Pine address book parsing

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Nov 2008 11:46:15 -0800

Trent Piepho <[email-masked]> writes:

> ...  There isn't any code that just does line wrapping. 
> The code that prints out a address book entry will at various points check
> if it should output a newline.  And it whatever it prints after those
> points isn't allowed to start with space.  The code that reads the entries
> eats all the spaces before and after each field.  If long comments are
> wrapped, it will change "a   b" into "a\n :  b\n" and effectively does 
> s/^ +: / /; when reading it back.  But email address don't get wrapped
> that way so we don't need to care about the ':'.

I never was worried about eating and losing the leading space that was
used only to signal the continuation line, but was wondering if we need to
insert an artificial space in place of the newline we are eating, but it
appears that we can say with confidence that worry is unfounded.

Will queue.  Thanks.